## dnprogs 2.64build2

=== apps/Makefile ===
#
# Makefile for Eduardo's & contributed apps
#
include ../Makefile.common
CC        = gcc
INCDIR	  = -I.
CFLAGS   += -D_SVID_SOURCE
#------------------------------------------------------------------------------

PROG1OBJS = startnet.o
PROG2OBJS = sethost.o 
PROG4OBJS = dnping.o
PROG5OBJS = ctermd.o
PROG7OBJS = rmtermd.o
PROG8OBJS = copynodes.o

PROG1 = startnet
PROG2 = sethost
PROG4 = dnping
PROG5 = ctermd
PROG7 = rmtermd
PROG8 = dncopynodes
MANPAGES1 = sethost.1 dnping.1
MANPAGES5 = decnet.conf.5
MANPAGES8 = ctermd.8 rmtermd.8 setether.8 dncopynodes.8

ALLPROGS=$(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG7) $(PROG8)

all: $(ALLPROGS)

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG1OBJS) -Wl,-Bstatic $(LIBDNET) -Wl,-Bdynamic

$(PROG2): $(PROG2OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG2OBJS) $(LIBDNET)

$(PROG3): $(PROG3OBJS)
	$(CC) -o $@ $(CFLAGS) $(PROG3OBJS)

$(PROG4): $(PROG4OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG4OBJS) $(LIBDNET)

$(PROG5): $(PROG5OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) -o $@ $(CFLAGS) $(PROG5OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

$(PROG7): $(PROG7OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) -o $@ $(CFLAGS) $(PROG7OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

$(PROG8): $(PROG8OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG8OBJS) $(LIBDNET)


dep:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG7) $(PROG8) \
	*.o *.a *.so *~ .depend

install:
	install -d $(prefix)/sbin
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -d $(manprefix)/man/man5
	install -d $(manprefix)/man/man8
	install -d $(sysconfprefix)/etc
	install -m 0755 $(STRIPBIN) $(PROG2) $(prefix)/bin
	install -m 0755 $(STRIPBIN) $(PROG4) $(prefix)/bin
	install -m 0755 $(STRIPBIN) $(PROG5) $(prefix)/sbin
	install -m 0700 setether.sh $(prefix)/sbin/setether
	install -m 0755 $(STRIPBIN) $(PROG7) $(prefix)/sbin
	install -m 0755 $(STRIPBIN) $(PROG8) $(prefix)/sbin
	install -m 0644 $(MANPAGES1) $(manprefix)/man/man1
	install -m 0644 $(MANPAGES5) $(manprefix)/man/man5
	install -m 0644 $(MANPAGES8) $(manprefix)/man/man8
	if [ ! -f $(sysconfprefix)/etc/decnet.conf ]; then \
		install -m 0644 decnet.conf $(sysconfprefix)/etc/decnet.conf.sample; \
	fi

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dapfs/Makefile ===
# Makefile for dapfs

include ../Makefile.common

PROG1=dapfs

MANPAGES=mount.dapfs.8

PROG1OBJS=dapfs.o dapfs_dap.o filenames.o kfifo.o

all: $(PROG1)

CFLAGS=-I../include -I ../librms -Wall $(DFLAGS) -fdollars-in-identifiers

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	g++ -o$(PROG1) $(LDFLAGS) $(PROG1OBJS) $(LIBDAP) -L../librms -lrms $(LIBDNET) -lfuse -lpthread

install:
	install -d $(rootprefix)/sbin
	install -d $(manprefix)/man/man8
	install -m 0755 $(STRIPBIN) $(PROG1) $(rootprefix)/sbin/mount.dapfs
	install -m 0644 $(MANPAGES) $(manprefix)/man/man8

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dnsubmit/Makefile ===
# Makefile for dnsubmit

include ../Makefile.common

PROG1=dnsubmit
PROG2=dnprint

MANPAGES=dnsubmit.1

PROG1OBJS=dnsubmit.o

all: $(PROG1) $(PROG2)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) $(CXXFLAGS) -o $@ $(PROG1OBJS) $(LIBS)

$(PROG2): $(PROG1)
	ln -sf $< $@

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/bin
	ln -sf $(PROG1) $(prefix)/bin/$(PROG2)
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1
	ln -sf $(PROG1).1 $(manprefix)/man/man1/$(PROG2).1


dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG2) $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== fal/Makefile ===
# Makefile for FAL

include ../Makefile.common

PROG1=fal

MANPAGES=fal.8 decnet.proxy.5

PROG1OBJS=fal.o server.o task.o directory.o open.o create.o erase.o rename.o \
          submit.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBS) $(DEPLIBDAEMON)
	$(CXX) -o $@ $(CXXFLAGS) $(PROG1OBJS) $(LIBS) $(LIBDAEMON) $(LIBDNET)

install:
	install -d $(prefix)/sbin
	install -d $(manprefix)/man/man8
	install -d $(manprefix)/man/man5
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/sbin
	install -m 0644 fal.8 $(manprefix)/man/man8
	install -m 0644 decnet.proxy.5 $(manprefix)/man/man5

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== include/Makefile ===
# Makefile for includes

include ../Makefile.common

all: 
	@cp kernel/netdnet/dn.h netdnet || true

install:
	if [ -L $(libprefix)/include/netdnet ]; then \
		rm -f $(libprefix)/include/netdnet; \
	fi
	install -d $(libprefix)/include/netdnet
	install -m 0644 netdnet/dn.h $(libprefix)/include/netdnet
	install -m 0644 netdnet/dnetdb.h $(libprefix)/include/netdnet

dep depend:	

clean:
	rm -f dnetdb/dn.h

# DO NOT DELETE

=== scripts/Makefile ===
# Makefile for scripts
#
# With luck this should cope with Debian, Redhat, SuSE, Caldera & Slackware type
# distributions - but no promises.
#


include ../Makefile.common

all: 


install:
ifndef MAKEDEB
	if [ -d /var/lib/dpkg ]; then \
	  install -Dm 0700 decnet.sh $(sysconfprefix)/etc/init.d/decnet.sh; \
	elif [ -d /var/lib/YaST ]; then \
	  install -Dm 0700 decnet.sh $(sysconfprefix)/sbin/init.d/decnet; \
	elif [ -d /var/lib/rpm ]; then \
	  install -Dm 0700 decnet.sh $(sysconfprefix)/etc/rc.d/init.d/decnet; \
	elif [ -d /var/lib/portage ]; then \
	  install -Dm 0700 dnetd $(sysconfprefix)/etc/init.d/dnetd; \
	  install -Dm 0700 dnetconf $(sysconfprefix)/etc/conf.d/dnetd; \
        else install -Dm 0700 rc.decnet $(sysconfprefix)/etc/rc.d/rc.decnet; \
	fi
endif
	install -m 0755 setup.sh $(prefix)/sbin/decnetconf
	install -m 0644 decnetconf.8 $(manprefix)/man/man8

dep depend:	


clean:


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== mail/uulib/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# ============================================================================
#
# This is the Makefile for the uu library, part of the uudeview package.
# The values here were guessed by ./configure and are probably correct.
#                                        fp@informatik.uni-frankfurt.de
#
# Usefull targets
#	all		Compile the package
#	clean		Deletes the binaries and objects and all the
#			other dirty stuff.
#
# ============================================================================
#
# $Id: Makefile,v 1.3 2002/04/17 09:47:38 patrick Exp $
#
# your make might need this
#
SHELL	=	/bin/sh
#
# If you don't have the GNU C compiler installed, set CC=cc here
#
CC	=	gcc
#
# C Compiler Options
#
CFLAGS	=	-Wall -fsigned-char -O -I.  -DHAVE_CONFIG_H
#
# the ranlib program
#
RANLIB =	ranlib
#
###############################################################################
# You shouldn't have to change anything below.
###############################################################################
#
# Programs to compile, Manpages to install and Versions
#
VERSION	=	0.5
PATCH	=	13
VDEF	=	-DVERSION=\"$(VERSION)\" -DPATCH=\"$(PATCH)\"
#

UULIB_SOURCE	=	uulib.c uucheck.c uunconc.c uuutil.c uuencode.c \
			uuscan.c uustring.c fptools.c
UULIB_OBJ	=	${UULIB_SOURCE:.c=.o}

#
# make stuff
#

.SUFFIXES:
.SUFFIXES: .c .o

all:		libuu.a

clean:
	rm -f [Xx]deview gif2gfp
	rm -f *.o *.a *.so core *~ TAGS

distclean:	clean
	rm -f config.status config.cache config.log Makefile config.h
	rm -f uudeview-*tar* uudeview-sfx

realclean:	distclean

new:		clean
	rm -f libuu.a
	$(MAKE) all

libuu.a:	$(UULIB_OBJ)
	rm -f $@
	ar r $@ $(UULIB_OBJ)
	-$(RANLIB) $@

.c.o:
	$(CC) -c $(CFLAGS) $(VDEF) $<

uuencode.o:	uuencode.c uudeview.h uuint.h uustring.h fptools.h config.h
uulib.o:	uulib.c uudeview.h uuint.h uustring.h fptools.h config.h
uunconc.o:	uunconc.c uudeview.h uuint.h uustring.h fptools.h config.h
uucheck.o:	uucheck.c uudeview.h uuint.h uustring.h fptools.h config.h
uuutil.o:	uuutil.c  uudeview.h uuint.h uustring.h fptools.h config.h
uuscan.o:	uuutil.c  uudeview.h uuint.h uustring.h fptools.h config.h
uustring.o:	uustring.c uudeview.h uuint.h uustring.h config.h
fptools.o:	fptools.c fptools.h config.h

uustring.h:	uustring.c
	awk -f uustring.awk < uustring.c > uustring.h

=== debian/changelog ===
dnprogs (2.64build2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:29 +0000

=== debian/control ===
Source: dnprogs
Section: net
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper(>= 8.1.3~), libncurses5-dev, libfuse-dev [!hurd-i386]
Standards-Version: 3.9.3

Package: dnet-common
Architecture: all
Multi-Arch: foreign
Pre-Depends: debconf(>=0.5.00) | debconf-2.0
Depends: debianutils(>=1.13), kmod, ${misc:Depends}
Conflicts: dnprogs
Suggests: iproute2
Description: Base package for Linux DECnet
 This is the base package for Linux DECnet. It contains the necessary
 configuration files and a script to set up the MAC address of your
 Ethernet card(s) at boot-up.
 .
 You will also need to be running a 2.4+ kernel and have DECnet either
 built as a module or compiled into the kernel.
 .
 To do useful work with DECnet you will need the libdnet package and
 probably also dnet-progs.

Package: dnet-progs
Architecture: linux-any
Multi-Arch: foreign
Depends: dnet-common(>=${source:Version}), libdnet(>=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: DECnet user programs and daemons
 These tools are the application layer interface for DECnet on Linux systems.
 They provide file/terminal access facilities between OpenVMS and Linux and
 remote execution of commands.
 Also included is a Linux version of the VMS "Phone" utility and a VMSMail
 to SMTP gateway.

Package: libdnet
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: dnet-common(>=${binary:Version})
Section: libs
Description: DECnet Libraries
 This package contains the libraries necessary for a functioning DECnet
 system. Most DECnet programs require these libraries to be present on
 the system. The libraries are:
 libdnet        - the basic DECnet API as featured on Ultrix(R) systems
 libdnet_daemon - useful calls for writing DECnet daemons
 libdap         - DAP (Data Access Protocol) C++ classes
 librms         - High level library for programmatic access VMS files
                  from Linux.
 .
 To do useful work with DECnet you will also need the dnet-common
 package.
 .
 If you're looking for libdnet, the "dumb" networking library from
 libdnet.sf.net by Dug Song then you should install libdumbnet instead.
 Sorry for any confusion caused!

Package: libdnet-dev
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libdnet(>=${binary:Version}), ${misc:Depends}
Section: libdevel
Description: DECnet development libraries & Headers
 Theses are the development libraries for Linux DECnet. This package contains
 the static libraries, header files and man pages for DECnet development
 on Linux.

## dnprogs 2.65

=== dndel/Makefile ===
# Makefile for dndel

include ../Makefile.common

PROG1=dndel

MANPAGES=dndel.1

PROG1OBJS=dndel.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) $(CXXFLAGS) -o $@ $(PROG1OBJS) $(LIBS)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dndir/Makefile ===
# Makefile for dndir

include ../Makefile.common

PROG1=dndir

MANPAGES=dndir.1

PROG1OBJS=dndir.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) $(CXXFLAGS) -o $@ $(PROG1OBJS) $(LIBS)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dnetd/Makefile ===
# Makefile for DECnet super server

include ../Makefile.common

PROG1=dnetd

MANPAGES8=dnetd.8
MANPAGES5=dnetd.conf.5

PROG1OBJS=dnetd.o task_server.o

all: $(PROG1)

.c.o:
	$(CC) $(CFLAGS) $(BINARY_PREFIX) -c -o $@ $<

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) $(CFLAGS) -o $@ $(PROG1OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man5
	install -d $(manprefix)/man/man8
	install -m 0750 $(STRIPBIN) $(PROG1) $(prefix)/sbin
	install -m 0644 $(MANPAGES5) $(manprefix)/man/man5
	install -m 0644 $(MANPAGES8) $(manprefix)/man/man8
	if [ ! -f $(sysconfprefix)/etc/dnetd.conf ]; then install -m 640 dnetd.conf $(sysconfprefix)/etc; fi
	if [ ! -f $(sysconfprefix)/etc/decnet.proxy ]; then install -m 640 ../fal/decnet.proxy $(sysconfprefix)/etc; fi

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dnlogin/Makefile ===
# Makefile for dnlogin

include ../Makefile.common

PROG1=dnlogin

MANPAGES=dnlogin.1

PROG1OBJS=dnlogin.o found.o cterm.o tty.o

CFLAGS:=$(filter-out -fsigned-char,$(CFLAGS))
CFLAGS+=-funsigned-char -Wall

CFLAGS+=-g
#CFLAGS+=-O2

all: $(PROG1)

$(PROG1): $(PROG1OBJS) tty.h dnlogin.h $(DEPLIBDNET)
	$(CC) $(LDFLAGS) -o $@ $(PROG1OBJS) $(LIBDNET)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1

dep depend:
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dnroute/Makefile ===
include ../Makefile.common

DNROUTE=dnroute

DNEIGH=dneigh

CFLAGS	+= -Inetlink/include $(SYSCONF_PREFIX)

all: $(DNROUTE) $(DNEIGH)

$(DNEIGH): dneigh.c
	$(CC) $(CFLAGS) -o $@ $^ $(LIBDNET)

$(DNROUTE): get_neigh.c send_route.c routing_msg.c csum.c hash.c pidfile.c netlink/libnetlink.a
	$(CC) $(CFLAGS) -o $@ $^ -Lnetlink -lnetlink $(LIBDNET)

netlink/libnetlink.a:
	$(MAKE) -C netlink

install:
	install -d $(prefix)/sbin
	install -d $(manprefix)/man/man8
	install -m 0755 $(STRIPBIN) dnroute $(prefix)/sbin
	install -m 0755 dneigh $(prefix)/sbin
	ln -sf dneigh $(prefix)/sbin/dnetinfo
	install -m 0644 dnroute.8 $(manprefix)/man/man8
	install -m 0644 dnetinfo.8 $(manprefix)/man/man8
	ln -sf dnetinfo.8 $(manprefix)/man/man8/dneigh.8

clean:
	rm -f $(DNROUTE) $(DNEIGH) *~ *.o netlink/*.o netlink/*.a

=== libdap/Makefile ===
include ../Makefile.common

LIBOBJS=connection.o protocol.o vaxcrc.o logging.o
PICOBJS=connection.po protocol.po vaxcrc.po logging.po

LIBNAME=libdnet-dap
LIB_MINOR_VERSION=46.0
LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)

SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)
STATICLIB=$(LIBNAME).a

CXXFLAGS+=-Wno-format-y2k

all: $(STATICLIB) $(SHAREDLIB)

$(STATICLIB): $(LIBOBJS)
	ar -rv $@ $^

$(SHAREDLIB): $(PICOBJS)
	$(CXX) $(CXXFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $^ -L../libdnet/ -ldnet
	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

.cc.o:
	$(CXX) $(CXXFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

.cc.po:
	$(CXX) $(CXXFLAGS) $(SYSCONF_PREFIX) -fPIC -c -o $@ $<

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f *.o *.po *.bak .depend $(STATICLIB) $(SHAREDLIB) $(LIBNAME).so*

install:
	install -m 0644 $(STRIPBIN) $(SHAREDLIB) $(libprefix)/lib
	install -m 0644 $(STATICLIB) $(libprefix)/lib
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(libprefix)/lib/$(LIBNAME).so

.SUFFIXES: .po

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== libvaxdata/Makefile ===
include ../Makefile.common

ARCH=$(shell uname -m)

all:
	cd linux; $(MAKE) -f makefile.gcc

clean:
	cd linux; $(MAKE) -f makefile.gcc clean

install:
	install -d $(prefix)/include
	install -m 0644 src/convert_vax_data.h $(prefix)/include
	install -d $(prefix)/lib
	install -m0644 linux/$(ARCH)/libvaxdata.a $(libprefix)/lib

=== multinet/Makefile ===
include ../Makefile.common

all:	multinet

multinet: multinet.c	
	$(CC) $(CFLAGS) $(LDFLAGS) -o multinet multinet.c 


install:
	install -d $(prefix)/sbin
	install -d $(manprefix)/man/man8
	install -m 0755 $(STRIPBIN) multinet $(prefix)/sbin
	install -m 0644 multinet.8 $(manprefix)/man/man8

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:	
	rm -f *.o *~ multinet

=== phone/Makefile ===
# Makefile for phone progs

include ../Makefile.common

#
# Look for gtk-config on the path
#
# We need GTK+ version 1.2. I daren't say 1.2 or higher (tho' I will
# allow point releases) because GTK+ changes so much between releases.
#
# Don't make a GTK version for release binaries because it adds too many
# unnecessary dependancies
#
GTK_VERSION=$(shell gtk-config --version 2>/dev/null | cut -d. -f1-2)
ifndef RELEASE
ifeq ($(GTK_VERSION), 1.2)
HAVE_GTK=true
INSTALLDEPS=install_pixmaps
PIXMAPDIR=$(prefix)/X11/pixmaps/phone
endif
endif

LIBPANEL=-lpanel
LIBNCURSES=-lncurses

PROG1=phone
PROG2=phoned

MANPAGES1=phone.1
MANPAGES8=phoned.8

PROG1OBJS=main.o phone_ncurses.o backend.o
PROG2OBJS=phoned.o phone_server.o

all: $(PROG1) $(PROG2)

ifdef HAVE_GTK
PROG1OBJS+=gtkphonesrc.o gtkphonesig.o phone_gtk.o
GTKLIBS=$(shell gtk-config --libs)
CFLAGS+=-DHAVE_GTK $(BINARY_PREFIX) -DPIXMAPDIR=\"$(PIXMAPDIR)\"
endif

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
	$(CC) $(CFLAGS) -o $@ $(PROG1OBJS) $(LIBPANEL) $(LIBNCURSES) $(LIBDNET) $(GTKLIBS)
  
$(PROG2): $(PROG2OBJS) $(DEPLIBDNET)
	$(CC) $(CFLAGS) -o $@ $(PROG2OBJS) $(LIBDNET)

#
# These will only be built if HAVE_GTK is defined
#
gtkphonesrc.o: gtkphonesrc.c
	$(CC) $(CFLAGS) -c -o $@ $< `gtk-config --cflags`

gtkphonesig.o: gtkphonesig.c
	$(CC) $(CFLAGS) -c -o $@ $< `gtk-config --cflags`

phone_gtk.o: phone_gtk.c
	$(CC) $(CFLAGS) -c -o $@ $< `gtk-config --cflags`

install: $(INSTALLDEPS)
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -d $(manprefix)/man/man8
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/bin
	install -m 0755 $(STRIPBIN) $(PROG2) $(prefix)/sbin
	install -m 0644 $(MANPAGES1) $(manprefix)/man/man1
	install -m 0644 $(MANPAGES8) $(manprefix)/man/man8

install_pixmaps:
ifndef RELEASE
	install -d $(PIXMAPDIR)
	install -m 0644 pixmaps/*.xpm $(PIXMAPDIR)
endif


dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) $(PROG2) *.o *.bak .depend



ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== contrib/ph3-der-loewe/Makefile ===
include ../../Makefile.common
export TOP=../..

PROG1=dnetcat
PROG2=dnetstat
PROG3=node

MANPAGES1=man1/dnetcat.1 man1/dnetstat.1 man1/node.1

PROG1OBJS=dnetcat.o
PROG2OBJS=dnetstat.o
PROG3OBJS=node.o

all: $(PROG1) $(PROG2) $(PROG3)

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON) 
	$(CC) $(CFLAGS) -o $@ $(PROG1OBJS) $(LIBDNET) $(LIBDAEMON)

$(PROG2): $(PROG2OBJS) $(DEPLIBDNET) $(UULIB)
	$(CC) $(CFLAGS) -o $@ $(PROG2OBJS) $(LIBDNET) 

$(PROG3): $(PROG3OBJS) $(DEPLIBDNET)
	$(CC) $(CFLAGS) -o $@ $(PROG3OBJS) $(LIBDNET)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/bin
	install -m 0755 $(STRIPBIN) $(PROG2) $(prefix)/bin
	install -m 0755 $(STRIPBIN) $(PROG3) $(prefix)/bin
	install -m 0644 $(MANPAGES1) $(manprefix)/man/man1

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) $(PROG2) $(PROG3) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
dnprogs (2.65) unstable; urgency=low

  * QA upload.
  * Makefile.common: Manually enable DNETUSE_DEVPTS, autodetection
    was broken by multiarch. Thanks to Adam Pigg for the report.
    (Closes: #867326)
  * Add lsb-base dependencies to dnet-common and dnet-progs.
  * Add Brazilian Portuguese debconf templates translation
    from Adriano Rafael Gomes. (Closes: #824330)

 -- Adrian Bunk <bunk@debian.org>  Thu, 06 Jul 2017 22:42:10 +0300

## dnprogs 2.65build1

=== debian/changelog ===
dnprogs (2.65build1) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:14:28 +0000

## dnprogs 2.65build2

=== Makefile ===


include Makefile.common

#
# PKGNAME determines the .tar.gz file name and also is the directory name
#
PKGNAME=dnprogs
DATE="$(shell date +'%Y%m%d')"

SUBDIRS_LINUX=apps phone dnroute nml multinet

SUBDIRS=include libdnet libdaemon libdap librms fal dndir dnsubmit dndel \
	dncopy dntask dnlogin mail dnetd libvaxdata \
	scripts \
	contrib/ph3-der-loewe \

ifeq ($(OSNAME),Linux)
SUBDIRS+= $(SUBDIRS_LINUX)
endif

ifneq ($(wildcard /usr/include/fuse.h),)
SUBDIRS+= dapfs
endif

all: 	
	@set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i $@ ; done

install:
	@set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i $@ ; done

dep depend:	
	@set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i $@ ; done

tags:	
	etags */*.cc */*.c


clean:
	rm -rf debian/tmp
	rm -f debian/files
	rm -f debian/substvars
	rm -f debian/*~
	rm -rf rpmbuild
	rm -rf RPMS
	rm -rf SOURCES
	rm -rf SRPMS
	rm -rf BUILD
	rm -f .rpm*
	rm -f build
	rm -f core
	@for i in $(SUBDIRS); do $(MAKE) -C $$i $@ ; done

debclean:
	debian/rules clean
#
# Make the distribution tar file
#
dist:	clean
	cp debian/changelog NEWS
	for i in $(SUBDIRS); do cd $$i; rm -f .depend; cd ..; done
	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi
	if [ ! -d ../$(PKGNAME)-$(VERSION) ]; then cd ..; ln -s $(PKGNAME) $(PKGNAME)-$(VERSION); fi
	cd ..; tar -czvhf /var/tmp/$(PKGNAME)-$(VERSION).tar.gz -X$(PKGNAME)-$(VERSION)/excludes-dist $(PKGNAME)-$(VERSION)/;
	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi

#
# Make a snapshot release
#
snap:	
	for i in $(SUBDIRS); do cd $$i; rm -f .depend; cd ..; done	
	if [ -L ../$(PKGNAME)-$(DATE) ]; then rm ../$(PKGNAME)-$(DATE); fi
	if [ ! -d ../$(PKGNAME)-$(DATE) ]; then cd ..; ln -s $(PKGNAME) $(PKGNAME)-$(DATE); fi
	cd ..; tar -czvhf /var/tmp/$(PKGNAME)-$(DATE).tar.gz -X$(PKGNAME)-$(DATE)/excludes-dist $(PKGNAME)-$(DATE);
	if [ -L ../$(PKGNAME)-$(DATE) ]; then rm ../$(PKGNAME)-$(DATE); fi

#
# Make RPM package for Red Hat systems.
#
rpm:	
	rm -rf rpmbuild BUILD RPMS SOURCES
	$(MAKE) clean
	$(MAKE) dist
	echo "%_topdir `pwd`" > .rpmmacros
	echo "`rpm --showrc|grep \^macrofiles`:`pwd`/.rpmmacros" >.rpmrc
	$(MAKE) prefix=/usr RELEASE=true -j
	$(MAKE) DESTDIR=`pwd`/rpmbuild RELEASE=true install
	find `pwd`/rpmbuild/usr/share/man/ -type f|xargs gzip -9
	ln -sf libdnet.so.2 rpmbuild/usr/lib/libdnet.so.1
	mkdir SOURCES SRPMS
	cp /var/tmp/$(PKGNAME)-$(VERSION).tar.gz SOURCES
	install -d rpmbuild/etc/rc.d/init.d
	install -d rpmbuild/usr/doc
	rm rpmbuild/usr/share/man/man1/dntype.1
	rm rpmbuild/usr/share/man/man1/dnprint.1
	rm rpmbuild/usr/share/man/man3/dnet_accept.3
	rm rpmbuild/usr/share/man/man3/dnet_reject.3
	rm rpmbuild/usr/share/man/man3/dnet_endnode.3
	rm rpmbuild/usr/share/man/man3/dnet_nextnode.3
	rm rpmbuild/usr/share/man/man8/dneigh.8
	ln -s dncopy.1.gz rpmbuild/usr/share/man/man1/dntype.1.gz
	ln -s dnsubmit.1.gz rpmbuild/usr/share/man/man1/dnprint.1.gz
	ln -s dnet_daemon.3.gz rpmbuild/usr/share/man/man3/dnet_accept.3.gz
	ln -s dnet_daemon.3.gz rpmbuild/usr/share/man/man3/dnet_reject.3.gz
	ln -s dnet_getnode.3.gz rpmbuild/usr/share/man/man3/dnet_endnode.3.gz
	ln -s dnet_getnode.3.gz rpmbuild/usr/share/man/man3/dnet_nextnode.3.gz
	ln -s dnetinfo.8.gz rpmbuild/usr/share/man/man8/dneigh.8.gz
	sed -e's@/usr/local@/usr@g' < scripts/decnet.sh >rpmbuild/etc/rc.d/init.d/decnet
	sed -e's/%%PACKAGENAME%%/$(PKGNAME)/g'                          \
	    -e's/%%VERSION%%/$(VERSION)/g'                              \
	    -e's/%%MAJOR_VERSION%%/$(MAJOR_VERSION)/g'                  \
	    -e's@%%PREFIX%%@/usr@g'                                     \
	    -e's@%%LIBPREFIX%%@/usr@g'                                  \
	    -e's@%%CONFPREFIX%%@/@g'                                    \
	   < rpm.spec >$(PKGNAME).spec
	mkdir -p BUILD RPMS/$(ARCH)
	cp README Documentation/*.README BUILD
	cp debian/changelog BUILD/NEWS
	cp libvaxdata/libvaxdata.pdf BUILD
	rpmbuild -ba --target $(ARCH) --buildroot `pwd`/rpmbuild -v --rcfile .rpmrc $(PKGNAME).spec
	rm -f $(PKGNAME).spec .rpmrc .rpmmacros

#
# Make Debian package.
#
deb:
	rm -f Documentation/*~ Documentation/*.bak
	dpkg-buildpackage -ICVS -rfakeroot 
#
# Dummy rule for sub-directories
#
dummy:


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== dncopy/Makefile ===
# Makefile for dncopy

include ../Makefile.common

PROG1=dncopy
PROG2=dntype

MANPAGES=dncopy.1

PROG1OBJS=dncopy.o file.o dnetfile.o unixfile.o dnetfile_dap.o

all: $(PROG1) $(PROG2)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) $(LDFLAGS) -o $@ $(PROG1OBJS) $(LIBS)

$(PROG2): $(PROG1)
	ln -sf $< $@

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/bin
	ln -sf $(PROG1) $(prefix)/bin/$(PROG2)
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1
	ln -sf $(PROG1).1 $(manprefix)/man/man1/$(PROG2).1


dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG2) $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== libdaemon/Makefile ===
include ../Makefile.common

LIBOBJS=dnet_daemon.o dnetlog.o dnet_priv_check.o
PICOBJS=dnet_daemon.po dnetlog.po dnet_priv_check.po
MANPAGES3=dnet_daemon.3

LIBNAME=libdnet_daemon
LIB_MINOR_VERSION=43.1
LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)

SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)
STATICLIB=$(LIBNAME).a


all: $(STATICLIB) $(SHAREDLIB)

$(STATICLIB): $(LIBOBJS)
	ar -rv $@ $^

$(SHAREDLIB): $(PICOBJS)
	$(CC) $(CFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $^ $(LIBCRYPT) -L../libdnet/ -ldnet
	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

.c.o:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

.c.po:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -fPIC -c -o $@ $<

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f *.o *.po *.bak $(STATICLIB) $(SHAREDLIB) $(LIBNAME).so* .depend

install:
	install -m 0644 $(STRIPBIN) $(SHAREDLIB) $(libprefix)/lib
	install -m 0644 $(STATICLIB) $(libprefix)/lib
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(libprefix)/lib/$(LIBNAME).so
	install -d $(manprefix)/man/man3
	install -m 0644 $(MANPAGES3) $(manprefix)/man/man3
	ln -sf dnet_daemon.3 $(manprefix)/man/man3/dnet_accept.3
	ln -sf dnet_daemon.3 $(manprefix)/man/man3/dnet_reject.3

.SUFFIXES: .po

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== mail/Makefile ===
# Makefile for mail progs

include ../Makefile.common

PROG1=vmsmaild
PROG2=sendvmsmail

UUDIR=uulib
UULIB=$(UUDIR)/libuu.a
LIBUU=$(UULIB)

MANPAGES5=vmsmail.conf.5
MANPAGES8=vmsmaild.8 sendvmsmail.8

PROG1OBJS=vmsmaild.o receive.o configfile.o
PROG2OBJS=sendvmsmail.o configfile.o

CDEFS+=-I$(UUDIR) -DPROTOTYPES
CFLAGS+=-fdollars-in-identifiers

all: $(UULIB) $(PROG1) $(PROG2)

$(UULIB): 
	$(MAKE) -C $(UUDIR)

.c.o:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON) $(UULIB)
	$(CC) $(CFLAGS) -o $@ $(PROG1OBJS) $(LIBDNET) $(LIBUU) $(LIBDAEMON)

$(PROG2): $(PROG2OBJS) $(DEPLIBDNET) $(UULIB)
	$(CC) $(CFLAGS) -o $@ $(PROG2OBJS) $(LIBDNET) $(LIBUU)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man5
	install -d $(manprefix)/man/man8
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/sbin
	install -m 0755 $(STRIPBIN) $(PROG2) $(prefix)/sbin
	install -m 0644 $(MANPAGES5) $(manprefix)/man/man5
	install -m 0644 $(MANPAGES8) $(manprefix)/man/man8

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) $(PROG2) *.o *.bak .depend
	$(MAKE) -C $(UUDIR) clean


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== nml/Makefile ===
# Makefile for NML

include ../Makefile.common

PROG1=dnetnml
MANPAGES8=dnetnml.8
PROG1OBJS=main.o nml.o

CFLAGS+=-I ../dnroute/netlink/include

all: $(PROG1)

.c.o:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) $(CFLAGS) -o $@ $(PROG1OBJS) $(LIBDNET) $(LIBDAEMON) -L ../dnroute/netlink -lnetlink

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man8
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/sbin
	install -m 0644 $(MANPAGES8) $(manprefix)/man/man8

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
dnprogs (2.65build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:27 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: all
 Multi-Arch: foreign
 Pre-Depends: debconf(>=0.5.00) | debconf-2.0
-Depends: debianutils(>=1.13), kmod, ${misc:Depends}
+Depends: debianutils(>=1.13), kmod, ${misc:Depends}, lsb-base
 Conflicts: dnprogs
 Suggests: iproute2
 Description: Base package for Linux DECnet
@@ -26,7 +26,7 @@
 Package: dnet-progs
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: dnet-common(>=${source:Version}), libdnet(>=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: dnet-common(>=${source:Version}), libdnet(>=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, lsb-base
 Description: DECnet user programs and daemons
  These tools are the application layer interface for DECnet on Linux systems.
  They provide file/terminal access facilities between OpenVMS and Linux and

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

build:
	$(checkdir)
	make prefix=/usr RELEASE=true BUILDING_DEB=true
	touch build

build-arch: build
build-indep: build

clean:
	$(checkdir)
	rm -f build
	make clean
	rm -f `find . -name "*~"`
	rm -rf debian/tmp `find debian/* -type d ! -name CVS ! -name po` debian/files* core
	rm -f debian/*substvars
	dh_prep
	dh_clean

binary-indep: checkroot build
	$(checkdir)
	mkdir -p debian/tmp/etc/modutils
	mkdir -p debian/tmp/etc/default
	mkdir -p debian/tmp/usr/share/doc/dnet-common
	mkdir -p debian/tmp/sbin
	echo "alias net-pf-12 decnet" > debian/tmp/etc/modutils/decnet
	echo '# DNET_INTERFACES specifies the names of ethernet interfaces whose' >> debian/tmp/etc/default/decnet
	echo '# MAC address is to be set to the DECnet node address' >> debian/tmp/etc/default/decnet
	echo "DNET_INTERFACES=\"all\"" >> debian/tmp/etc/default/decnet
	echo '# DNET_DAEMONS lists the daemons to start when dnet-progs is installed.' >> debian/tmp/etc/default/decnet
	echo "#" >> debian/tmp/etc/default/decnet
	echo "DNET_DAEMONS=\"dnetd phoned\"" >> debian/tmp/etc/default/decnet
	echo "dnroute_FLAGS=\"-v -2\"" >> debian/tmp/etc/default/decnet
	echo "# The following two lines enable routing, note that if you are" >> debian/tmp/etc/default/decnet
	echo "# being a router, then add dnroute to the DNET_DAEMONS too" >> debian/tmp/etc/default/decnet
	echo "#ROUTING=1" >> debian/tmp/etc/default/decnet
	echo "PRIORITY=32" >> debian/tmp/etc/default/decnet
	cp README debian/tmp/usr/share/doc/dnet-common
	cp Documentation/*README debian/tmp/usr/share/doc/dnet-common
	cp debian/dnet-common.README debian/tmp/usr/share/doc/dnet-common/README.Debian
	cp apps/decnet.conf debian/tmp/usr/share/doc/dnet-common/decnet.conf.sample
	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
	install -m755 apps/setether.sh debian/tmp/sbin/setether
	dh_installdirs -pdnet-common
	dh_installchangelogs  -pdnet-common
	dh_installdocs  -pdnet-common
	dh_link  -pdnet-common
	dh_installdebconf  -pdnet-common
	dh_installinit  -pdnet-common  --init-script=decnet --update-rcd-params="start\ 39\ S\ .\ \ stop\ 11\ 1\ ."
	dh_strip  -pdnet-common
	dh_install  -pdnet-common
	dh_compress  -pdnet-common
	dh_fixperms  -pdnet-common
	dh_makeshlibs  -pdnet-common
	dh_shlibdeps  -pdnet-common
	dh_gencontrol  -pdnet-common
	dh_installdeb  -pdnet-common
	dh_md5sums  -pdnet-common
	dh_builddeb  -pdnet-common

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ! -name po`
	install -d debian/tmp
	mkdir -p debian/tmp/etc/modutils
	mkdir -p debian/tmp/etc/default
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p debian/tmp/usr/share/doc/libdnet
	mkdir -p debian/tmp/usr/share/doc/libdnet-dev
	mkdir -p debian/tmp/usr/share/doc/dnet-progs
	mkdir -p debian/tmp/sbin
	cp README debian/tmp/usr/share/doc/libdnet
	cp README debian/tmp/usr/share/doc/dnet-progs
	cp README debian/tmp/usr/share/doc/libdnet-dev
	cp Documentation/*README debian/tmp/usr/share/doc/libdnet
	cp Documentation/*README debian/tmp/usr/share/doc/dnet-progs
	cp Documentation/*README debian/tmp/usr/share/doc/libdnet-dev
	cp libvaxdata/*pdf debian/tmp/usr/share/doc/libdnet-dev
	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
	mv debian/tmp/usr/lib/lib* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	dh_lintian -a
	dh_installdirs -Ndnet-common
	dh_installchangelogs -Ndnet-common
	dh_installdocs -Ndnet-common
	dh_link -Ndnet-common
	dh_installdebconf -Ndnet-common
	dh_installinit  -pdnet-progs  --init-script=dnet-progs
	dh_install -Ndnet-common
	dh_compress -Ndnet-common
	dh_strip -Ndnet-common
	dh_fixperms -Ndnet-common
	dh_makeshlibs -Ndnet-common
	dh_shlibdeps -Ndnet-common
	dh_gencontrol -Ndnet-common

	dh_installdeb -Ndnet-common
	dh_md5sums -Ndnet-common
	dh_builddeb -Ndnet-common


define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	dh_testroot

.PHONY: binary binary-arch binary-indep clean checkroot
